before_script:
  - cd frontend

cache:
  key: ${CI_COMMIT_REF_SLUG}-node-modules
  paths:
    - node_modules/

audit:
  tags:
    - mac_mini
  stage: audit
  script:
    - npm ci
    - npm audit --audit-level=moderate

lint:
  tags:
    - mac_mini
  stage: lint
  script:
    - npm ci
    - npm run lint

test:
  tags:
    - mac_mini
  stage: test
  script:
    - npm ci
    - npm run test
  artifacts:
    when: always
    reports:
      junit: junit.xml

build:
  tags:
    - mac_mini
  stage: build
  script:
    - npm ci
    - npm run build

deploy:
  tags:
    - mac_mini
  when: manual
  stage: deploy
  script:
    - npm ci
    - fly deploy
  only:
    - main

destroy:
  tags:
    - mac_mini
  when: manual
  stage: deploy
  script:
    - npm ci
    - flyctl apps destroy --app pokemon-svelete
  only:
    - main
